Access Token
Technical Specification
Environment
Method
URL
Body Request
No
Name
Type
Mandatory
Min Length
Max Length
Description
1
grantType
String
M
1
18
OAuth2 client_credentials grant type.
Sample Request
{
"grantType": "client_credentials"
}Body Response
No
Name
Type
Mandatory
Min Length
Max Length
Description
2
responseMessage
String
M
1
150
BI SNAP Response Message.
3
accessToken
String
M
1
3000
Generated client credentials token.
4
tokenType
String
M
1
6
Filled with Bearer type.
5
expiresIn
String
M
1
5
Token expiry in seconds
Sample Response
Header parameters
X-TIMESTAMPstringRequiredExample:
{{timestamp}}X-CLIENT-KEYstringRequiredExample:
{{client_id}}X-SIGNATUREstringRequiredExample:
{{signature_auth}}AcceptstringOptionalExample:
application/jsonContent-TypestringOptionalExample:
application/jsonBody
grantTypestringRequired
Responses
200Success
application/json
objectOptional
post/oauth/v1.0/access-token/b2b
POST /oauth/v1.0/access-token/b2b HTTP/1.1
Host: snapstag.finnet.co.id
X-TIMESTAMP: text
X-CLIENT-KEY: text
X-SIGNATURE: text
Content-Type: application/json
Accept: */*
Content-Length: 34
{
"grantType": "client_credentials"
}200Success
{}Last updated

